Bug 432764 - sr #1793728: nautilus/gnome-vfs - Search stops upon encountering an unreadable directory
Summary: sr #1793728: nautilus/gnome-vfs - Search stops upon encountering an unreadabl...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: gnome-vfs2
Version: 5.1
Hardware: All
OS: Linux
medium
medium
Target Milestone: rc
: ---
Assignee: Tomáš Bžatek
QA Contact: desktop-bugs@redhat.com
URL:
Whiteboard:
Depends On: 432768
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-02-14 09:33 UTC by Issue Tracker
Modified: 2018-10-27 14:41 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-01-13 12:09:04 UTC
Target Upstream Version:


Attachments (Terms of Use)
add flag to enable recursion despite error (1.30 KB, patch)
2008-02-14 09:46 UTC, ritz
no flags Details | Diff


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2010:0032 0 normal SHIPPED_LIVE gnome-vfs2 bug fix update 2010-01-13 12:08:45 UTC

Description Issue Tracker 2008-02-14 09:33:31 UTC
Escalated to Bugzilla from IssueTracker

Comment 1 Issue Tracker 2008-02-14 09:33:32 UTC
Description of problem:
 Unable to search for "/var" using nautilus search, as search stops when certain files in "/" are not readable.

How reproducible:
always

Steps to Reproduce:
1. Open nautilus
2. Ctrl+F to open search window
3. Search for var using "/"

This can be automated using "test/test-nautilus-search-engine.c" suite.
For this test to work, please patch the stated file
Reference bug - http://bugzilla.gnome.org/show_bug.cgi?id=515031
patch link - 
http://svn.gnome.org/viewvc/nautilus/trunk/test/test-nautilus-search-engine.c?r1=11900&r2=13708


Actual results:
var is never found

Expected results:
var to be found

Additional info:

gnome bug 433105 – Search stops upon encountering an unreadable directory
http://bugzilla.gnome.org/show_bug.cgi?id=433105


patch required -

gnome-vfs component
http://svn.gnome.org/viewvc/gnome-vfs/trunk/libgnomevfs/gnome-vfs-directory.h?r1=5025&r2=5352

http://svn.gnome.org/viewvc/gnome-vfs/trunk/libgnomevfs/gnome-vfs-directory.c?r1=5081&r2=5352


nautilus simple search engine 
http://svn.gnome.org/viewvc/nautilus/trunk/libnautilus-private/nautilus-search-engine-simple.c?r1=12932&r2=13010

This event sent from IssueTracker by rkhadgar  [Production Support (Pune)]
 issue 163137

Comment 2 ritz 2008-02-14 09:46:05 UTC
Created attachment 294900 [details]
add flag to enable recursion despite error

Comment 3 Matthias Clasen 2008-07-07 16:42:11 UTC
setting dev ack after feedback from package owner.

Comment 4 RHEL Program Management 2008-07-21 23:06:48 UTC
This request was evaluated by Red Hat Product Management for
inclusion, but this component is not scheduled to be updated in
the current Red Hat Enterprise Linux release. If you would like
this request to be reviewed for the next minor release, ask your
support representative to set the next rhel-x.y flag to "?".

Comment 6 RHEL Program Management 2009-03-26 17:11:28 UTC
This request was evaluated by Red Hat Product Management for
inclusion, but this component is not scheduled to be updated in
the current Red Hat Enterprise Linux release. If you would like
this request to be reviewed for the next minor release, ask your
support representative to set the next rhel-x.y flag to "?".

Comment 14 errata-xmlrpc 2010-01-13 12:09:04 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2010-0032.html


Note You need to log in before you can comment on or make changes to this bug.